# QNetworkAddressEntry Class Reference

### [com.trolltech.qt.network package]

### Constructor

- void QNetworkAddressEntry()
- void QNetworkAddressEntry(QNetworkAddressEntry other)

### Constructor Properties

- prototype: The QNetworkAddressEntry prototype object

### Prototype Object Properties

- QHostAddress broadcast()
- QHostAddress ip()
- QHostAddress netmask()
- bool operator_equal(QNetworkAddressEntry other)
- int prefixLength()
- void setBroadcast(QHostAddress newBroadcast)
- void setIp(QHostAddress newIp)
- void setNetmask(QHostAddress newNetmask)
- void setPrefixLength(int length)

### Instance Properties

QNetworkAddressEntry objects have no special properties beyond those inherited from the QNetworkAddressEntry prototype object.